root = true

[*]
charset = utf-8
end_of_line = lf
trim_trailing_whitespace = true

[*.[ch]]
indent_size = 8
indent_style = space
insert_final_newline = true
# For the legacy tabs which still exist in the code:
tab_width = 8

[*.xml]
indent_size = 2
indent_style = space

[meson.build]
indent_size = 4
indent_style = space

[*.{md,5.in}]
max_line_length = 80
